#!/bin/bash
##
# This file is part of the code-cloppers openbox setup.
#
# This script should be executed on startup of openbox.

start() {
    nohup "$@" &>>/dev/null &
}

# The launcher
start albert

# The dock
start plank

# Compositing (cool shadows/smooth looks for windows)
start xcompmgr

# The notification daemon
start dunst

# The lock screen
start xscreensaver

start trayer \
      --edge top \
      --transparent true \
      --tint 0x000000 \
      --alpha 0 \
      --align right \
      --SetPartialStrut true \
      --SetDockType true \
      --widthtype pixel \
      --width $(($(xrandr -q | grep -Po '(?<=primary )[0-9]+(?=x)') - 84))
